Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA
Interface MinorCodes

public interface MinorCodes

This lists all the minor codes used throuout the openorb core.

Version:
  $Revision: 1.4 $ $Date: 2002/06/28 08:58:59 $
Author:
  Chris Wood

Field Summary
`static int` | `BAD_INV_ORDER_DELEGATE` Invocation order when using streaming stubs (Delegate)
`static int` | `BAD_INV_ORDER_NOT_STREAMABLE` Invocation order when using DSI
`static int` | `BAD_INV_ORDER_ORB` Orb is not initialized
`static int` | `BAD_INV_ORDER_SERVER` Server invocation order
`static int` | `BAD_INV_ORDER_TYPECODE` Attempt to access incomplete typecode containing recursive
`static int` | `BAD_OPERATION_ANY_TYPE` Attempt to extract wrong type from any
`static int` | `BAD_PARAM_ABSTRACT_CLASS` Object class cannot be instantiated or is incorrect type
`static int` | `BAD_PARAM_ARRAY_INDEX` Array index out of bounds
`static int` | `BAD_PARAM_FIXED_TYPE` Type mismatch in list streams with fixed type
`static int` | `BAD_PARAM_OBJ_CLASS` Object class cannot be instantiated or is incorrect type
`static int` | `BAD_PARAM_PRIMITIVE_KIND` No primitive typecode of that kind
`static int` | `BAD_PARAM_VALUE_CLASS` Object class cannot be instantiated or is incorrect type
`static int` | `BAD_PARAM_VALUE_TYPE` Attempt to insert value into any with incorrect typecode
`static int` | `BASE_VALUE`
`static int` | `INF_REPOS_FIND` Unable to find interface repository
`static int` | `INF_REPOS_LOOKUP` Unable to find interface in interface repository
`static int` | `INF_REPOS_TYPE` Unable interface from repository is the wrong type
`static int` | `INV_POLICY_MERGE_FAILED` Object class cannot be instantiated or is incorrect type
`static int` | `MARSHAL_BOUNDS_MISMATCH` Bounds mismatch for list stream
`static int` | `MARSHAL_BUFFER_OVERREAD` Buffer overread
`static int` | `MARSHAL_BUFFER_POS` Invalid buffer position or format.
`static int` | `MARSHAL_BUFFER_UNDERREAD` Buffer underread
`static int` | `MARSHAL_NATIVE` Attempt to insert native type into any
`static int` | `MARSHAL_REPLY_UNKNOWN_OR_UNDERREAD` Unreported exception occurred during marshalling or the reply buffer is underread.
`static int` | `MARSHAL_REQUEST_UNKNOWN` Unreported exception occurred during marshalling a request.
`static int` | `MARSHAL_SEQ_BOUND` Sequence length exceeds limit in typecode
`static int` | `MARSHAL_TYPE_MISMATCH` Type mismatch for list stream
`static int` | `MARSHAL_UNION_DISC` Problem with union discriminator
`static int` | `MARSHAL_VALUEBOX_HELPER` Unable to extract valuebox type from any, missing helper

Field Detail

### BASE_VALUE

    public static final int BASE_VALUE

### BAD_INV_ORDER_TYPECODE

    public static final int BAD_INV_ORDER_TYPECODE

  Attempt to access incomplete typecode containing recursive

### BAD_INV_ORDER_NOT_STREAMABLE

    public static final int BAD_INV_ORDER_NOT_STREAMABLE

  Invocation order when using DSI

### BAD_INV_ORDER_DELEGATE

    public static final int BAD_INV_ORDER_DELEGATE

  Invocation order when using streaming stubs (Delegate)

### BAD_INV_ORDER_ORB

    public static final int BAD_INV_ORDER_ORB

  Orb is not initialized

### BAD_INV_ORDER_SERVER

    public static final int BAD_INV_ORDER_SERVER

  Server invocation order

### BAD_OPERATION_ANY_TYPE

    public static final int BAD_OPERATION_ANY_TYPE

  Attempt to extract wrong type from any

### BAD_PARAM_OBJ_CLASS

    public static final int BAD_PARAM_OBJ_CLASS

  Object class cannot be instantiated or is incorrect type

### BAD_PARAM_FIXED_TYPE

    public static final int BAD_PARAM_FIXED_TYPE

  Type mismatch in list streams with fixed type

### BAD_PARAM_VALUE_CLASS

    public static final int BAD_PARAM_VALUE_CLASS

  Object class cannot be instantiated or is incorrect type

### BAD_PARAM_VALUE_TYPE

    public static final int BAD_PARAM_VALUE_TYPE

  Attempt to insert value into any with incorrect typecode

### BAD_PARAM_ARRAY_INDEX

    public static final int BAD_PARAM_ARRAY_INDEX

  Array index out of bounds

### BAD_PARAM_ABSTRACT_CLASS

    public static final int BAD_PARAM_ABSTRACT_CLASS

  Object class cannot be instantiated or is incorrect type

### BAD_PARAM_PRIMITIVE_KIND

    public static final int BAD_PARAM_PRIMITIVE_KIND

  No primitive typecode of that kind

### INV_POLICY_MERGE_FAILED

    public static final int INV_POLICY_MERGE_FAILED

  Object class cannot be instantiated or is incorrect type

### INF_REPOS_FIND

    public static final int INF_REPOS_FIND

  Unable to find interface repository

### INF_REPOS_LOOKUP

    public static final int INF_REPOS_LOOKUP

  Unable to find interface in interface repository

### INF_REPOS_TYPE

    public static final int INF_REPOS_TYPE

  Unable interface from repository is the wrong type

### MARSHAL_SEQ_BOUND

    public static final int MARSHAL_SEQ_BOUND

  Sequence length exceeds limit in typecode

### MARSHAL_TYPE_MISMATCH

    public static final int MARSHAL_TYPE_MISMATCH

  Type mismatch for list stream

### MARSHAL_BOUNDS_MISMATCH

    public static final int MARSHAL_BOUNDS_MISMATCH

  Bounds mismatch for list stream

### MARSHAL_BUFFER_OVERREAD

    public static final int MARSHAL_BUFFER_OVERREAD

  Buffer overread

### MARSHAL_BUFFER_UNDERREAD

    public static final int MARSHAL_BUFFER_UNDERREAD

  Buffer underread

### MARSHAL_BUFFER_POS

    public static final int MARSHAL_BUFFER_POS

  Invalid buffer position or format.

### MARSHAL_NATIVE

    public static final int MARSHAL_NATIVE

  Attempt to insert native type into any

### MARSHAL_UNION_DISC

    public static final int MARSHAL_UNION_DISC

  Problem with union discriminator

### MARSHAL_VALUEBOX_HELPER

    public static final int MARSHAL_VALUEBOX_HELPER

  Unable to extract valuebox type from any, missing helper

### MARSHAL_REQUEST_UNKNOWN

    public static final int MARSHAL_REQUEST_UNKNOWN

  Unreported exception occurred during marshalling a request. This is reported to interceptors, the client's exception may differ.

### MARSHAL_REPLY_UNKNOWN_OR_UNDERREAD

    public static final int MARSHAL_REPLY_UNKNOWN_OR_UNDERREAD

  Unreported exception occurred during marshalling or the reply buffer is underread. The exception causing this problem is overwritten by this one.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD